tests/test-hgwebdirsym
changeset 6341 63bdfcc3eaaf
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-hgwebdirsym	Fri Mar 21 08:46:15 2008 -0700
@@ -0,0 +1,49 @@
+#!/bin/sh
+# Tests whether or not hgwebdir properly handles various symlink topologies.
+
+"$TESTDIR/hghave" symlink || exit 80
+
+hg init a
+echo a > a/a
+hg --cwd a ci -Ama -d'1 0'
+
+mkdir webdir
+cd webdir
+
+hg init b
+echo b > b/b
+hg --cwd b ci -Amb -d'2 0'
+
+hg init c
+echo c > c/c
+hg --cwd c ci -Amc -d'3 0'
+
+ln -s ../a al
+ln -s ../webdir circle
+
+root=`pwd`
+
+cd ..
+
+cat > collections.conf <<EOF
+[collections]
+$root=$root
+EOF
+
+hg serve -p $HGPORT -d --pid-file=hg.pid --webdir-conf collections.conf \
+    -A access-collections.log -E error-collections.log
+cat hg.pid >> $DAEMON_PIDS
+
+echo % should succeed
+"$TESTDIR/get-with-headers.py" localhost:$HGPORT '/?style=raw'
+"$TESTDIR/get-with-headers.py" localhost:$HGPORT '/al/file/tip/a?style=raw'
+"$TESTDIR/get-with-headers.py" localhost:$HGPORT '/b/file/tip/b?style=raw'
+"$TESTDIR/get-with-headers.py" localhost:$HGPORT '/c/file/tip/c?style=raw'
+
+echo % should fail
+"$TESTDIR/get-with-headers.py" localhost:$HGPORT '/circle/al/file/tip/a?style=raw'
+"$TESTDIR/get-with-headers.py" localhost:$HGPORT '/circle/b/file/tip/a?style=raw'
+"$TESTDIR/get-with-headers.py" localhost:$HGPORT '/circle/c/file/tip/a?style=raw'
+
+echo % collections errors
+cat error-collections.log